Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.csus.ecs.pc2.api
Interface IClarificationEventListener

    public interface IClarificationEventListener

This interface describes the set of methods that any Clarification Listener must implement.

Version:
  $Id: IClarificationEventListener.java 1555 2008-07-11 05:46:50Z laned $
Author:
  pc2@ecs.csus.edu

Method Summary
`void` | `clarificationAdded(IClarification clarification)` New Clarification submitted.
`void` | `clarificationAnswered(IClarification clarification)` Clarification answered by judge.
`void` | `clarificationRemoved(IClarification clarification)` Invoked when an existing clarification has been removed from the contest (marked as deleted by the Contest Administrator).
`void` | `clarificationUpdated(IClarification clarification)` Invoked when clarification edited/changed.

Method Detail

### clarificationAdded

    void clarificationAdded(IClarification clarification)

  New Clarification submitted.

  Parameters:
    `clarification` - - the added `IClarification`

### clarificationRemoved

    void clarificationRemoved(IClarification clarification)

  Invoked when an existing clarification has been removed from the contest (marked as deleted by the Contest Administrator).

  Parameters:
    `clarification` - the deleted `IClarification`

### clarificationAnswered

    void clarificationAnswered(IClarification clarification)

  Clarification answered by judge.

  Parameters:
    `clarification` - - the answered `IClarification`

### clarificationUpdated

    void clarificationUpdated(IClarification clarification)

  Invoked when clarification edited/changed.

  Parameters:
    `clarification` - the changed `IClarification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD